Loading...
Searching...
No Matches
enums.hpp File Reference

Analogical enumerations. More...

`#include <vector>`
`#include <string>`
`#include <memory>`
Include dependency graph for analog/enums.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | libm2k::analog::DMM_READING
| The structure of a DMM. More...

## Enumerations

enum | libm2k::analog::ANALOG_IN_CHANNEL { ANALOG_IN_CHANNEL_1 = 0 , ANALOG_IN_CHANNEL_2 = 1 }
| Indexes of the channels. More...
enum | libm2k::analog::M2K_RANGE { PLUS_MINUS_25V = 0 , PLUS_MINUS_2_5V = 1 }
| Range of the signal's amplitude.

## Detailed Description

Analogical enumerations.

## Enumeration Type Documentation

## ANALOG_IN_CHANNEL

enum libm2k::analog::ANALOG_IN_CHANNEL

Indexes of the channels.

Note
  Each channel can be accessed through its index